%define section free
%if "%{?rhel}" == "6"
%define _jarsign_opts --unsign=%{_javadir}
%endif

%global reltag _redhat_1
%global meadversion %{version}_redhat_4
%global mavenversion %{version}-redhat-4

%global mavengroup org.hibernate
%global artifact0 hibernate-search
%global artifact1 hibernate-search-analyzers
%global artifact1 hibernate-search-archetype
%global artifact1 hibernate-search-distribution
%global artifact1 hibernate-search-engine
%global artifact1 hibernate-search-infinispan
%global artifact1 hibernate-search-orm

%global title Lucene and Solr

Name:    lucene-solr
Version: 3.6.2
Release: 4%{?reltag}%{?dist}
Epoch:   0
Summary: %{title}
Group:   Development/Libraries/Java
License: Apache License, Version 2.0
URL:     http://lucene.apache.org
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires: jpackage-utils
BuildRequires: %{name}-mead = %{meadversion}
BuildRequires: unzip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

%description
Lucene Core, the flagship sub-project, provides Java-based indexing and search technology, as well as spellchecking, hit highlighting and advanced analysis/tokenization capabilities.
Solr is a high performance search server built using Lucene Core, with XML/HTTP and JSON/Python/Ruby APIs, hit highlighting, faceted search, caching, replication, and a web admin interface.

%package javadoc
Summary:  Javadoc for %{title}
Group:    Development/Documentation
Requires: jpackage-utils

%description javadoc
API documentation for %{title}.

%package sources
Summary:  Sources of %{title}
Group:    Development/Libraries/Java
Requires: jpackage-utils

%description sources
Sources of %{title}.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}

%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}.jar %{buildroot}%{_javadir}/%{name}/%{artifact0}-%{mavenversion}.jar
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}/%{artifact0}-%{mavenversion}-javadoc.jar
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}-sources.jar %{buildroot}%{_javadir}/%{name}/%{artifact0}-%{mavenversion}-sources.jar

(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{mavenversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{mavenversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{artifact0}.pom
%{__cp} -p %{_javadir}/jbossas-fordev/%{artifact1}-%{mavenversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{artifact1}.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{artifact0} %{mavenversion} JPP/%{name} %{artifact0}
%add_to_maven_depmap %{mavengroup} %{artifact1} %{mavenversion} JPP/%{name} %{artifact1}

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__unzip} -qq %{_javadir}/jbossas-fordev/%{artifact0}-%{mavenversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{__rm} -r %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}/META-INF
%{__ln_s} %{name}-%{mavenversion} %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}
%exclude %{_javadocdir}/%{name}
%exclude %{_javadir}*/%{name}/*-javadoc.jar
%exclude %{_javadir}*/%{name}/*-sources.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}

%files sources
%defattr(0644,root,root,0755)
%dir %{_javadir}*/%{name}
%exclude %{_javadocdir}/%{name}
%{_javadir}*/%{name}/*-sources.jar

%changelog
* Thu Jan 19 2012 David Walluck <dwalluck@redhat.com> 0:4.2.0-3
- remove range from joda-time version (for Brew maven 2.x)
- fix requires for maven scriptlets
- fix duplicate ownership of %%{_mavenpomdir}
- fix main and sources file list
- change default file permissions

